## pybotvac 0.0.28

=== requirements.txt ===
urllib3
requests
requests_oauthlib
voluptuous
bandit>=1
black
codespell>=2
flake8>=3
isort>=5
pylint>=2.6

## pybotvac 0.0.25

=== debian/changelog ===
pybotvac (0.0.25-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 13:38:11 +0900

pybotvac (0.0.25-1) unstable; urgency=medium

  * Initial release. (Closes: #1077291)

 -- Edward Betts <edward@4angle.com>  Sun, 28 Jul 2024 10:15:44 +0900

=== debian/control ===
Source: pybotvac
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/stianaske/pybotvac
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pybotvac
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pybotvac.git

Package: python3-pybotvac
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library for controlling Neato Botvac Connected vacuum robots
 This library facilitates interaction with Neato Botvac Connected vacuum
 robots. It allows users to start, pause, and stop cleaning, send the robot to
 its base, and manage scheduled cleanings. Additionally, the library supports
 retrieving the robot's state, battery level, and latest cleaning map. Users
 can authenticate using various methods, such as password, OAuth, or
 passwordless sessions. This provides flexibility in integrating the robots
 into different environments and applications.

## pybotvac 0.0.25%2Breally0.0.25

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: pybotvac
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/stianaske/pybotvac
@@ -15,7 +17,9 @@
 
 Package: python3-pybotvac
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Library for controlling Neato Botvac Connected vacuum robots
  This library facilitates interaction with Neato Botvac Connected vacuum
  robots. It allows users to start, pause, and stop cleaning, send the robot to

## pybotvac 0.0.25+really0.0.25

=== debian/changelog ===
pybotvac (0.0.25+really0.0.25-1) unstable; urgency=medium

  * Update upstream source to correct version 0.0.25 (Closes: #1085802).
  * Update 0001-SubjectAltNameWarning-was-dropped-from-urllib3.patch.
  * Install sample/sample.py as example.

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 06:18:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pybotvac

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pybotvac.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pybotvac-$1\.tar\.gz/ \
  https://github.com/stianaske/pybotvac/tags .*/v?(\d\S+)\.tar\.gz

## pybotvac 0.0.28

=== debian/changelog ===
pybotvac (0.0.28-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Jun 2025 09:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,17 @@
  dh-sequence-python3,
  python3-all,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-requests <!nocheck>,
+ python3-voluptuous <!nocheck>,
+ python3-oauthlib <!nocheck>,
+ python3-requests-oauthlib <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/stianaske/pybotvac
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pybotvac
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pybotvac.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pybotvac
 Architecture: all

=== debian/watch ===
version=4
https://github.com/stianaske/pybotvac/tags .*/v?(\d\S+)\.tar\.gz
